Skip to main content
Adaptive Insights
Knowledge and Support - Adaptive Insights

Error: All Segments On The Horizontal Axis Must Include Version. Please Modify The Report And Retry

Question

I have created several reports with multiple segments and as Administrator have no problems running the reports. However, when any of my standard users run the reports they encounter the following error message,

"Error occurred while processing report with following error message: All segments on the horizontal axis must include version. Please modify the report and retry."

Answers

One thing you might check is to see if there is a version included in the report that is hidden. When a version is set to hidden, it can only be viewed by administrators. As a result, a standard user will not have access to view a report that includes a hidden version. To resolve this issue you can either delete the segment with the hidden version from the report or you can change the version status to locked.